# Console 3.4.1 Patch Level 3
**Operating Systems:** Linux and Windows
**Date: 6/11/2020** 

This patch includes the following fixes:
### Patch Level 3 Fixes
| Jira Issue | Description                                                      |
| ---------- | ---------------------------------------------------------------- |
| AC-1018    | Creating a smart transfer using the API fails if the request does not include the `source_type` field.|
| AC-1017    | SSH to ATS transfers fail to start.|
| AC-1005    | Console unable to start a transfer if the source endpoint uses Node API credentials and the destination endpoint uses stored SSH keys as credentials. |

### Patch Level 2 Fixes
| Jira Issue | Description                                                      |
| ---------- | ---------------------------------------------------------------- |
| AC-1004    | SAML users with special groups fail to log in.                   |
| AC-990     | Maps do not represent transfers as lines between nodes when node name contains certain special characters.|

### Patch Level 1 Fixes

| Jira Issue | Description
| -------- | --------
| AC-996 | Added black borders to enhance visibility of nodes in the map.
| AC-995 | Nodes on the map do not change color to red when they go down.
| AC-992 | Nodes on the map are placed incorrectly when the browser enters or exits full-screen mode.

<!-- See the included API reference included in the patch folder (open `IBM_Aspera_Console_3.4.1_PL3_api_reference/index.html` in your browser).-->

## PATCH INSTRUCTIONS

### Applying the patch for Linux systems:
1. Download the patch file (`IBM_Aspera_Console_3.4.1_Linux_Windows_Patch_Level_3.zip`) and unzip it.

3. Make sure to back-up all the files in the console folder (``/opt/aspera/console/``).

4. Run the following command to replace existing files with patch files:

    ```$ /bin/cp -r patch_path/IBM_Aspera_Console_3.4.1_Linux_Windows_Patch_Level_3/* /opt/aspera/console/```
    ```$ chown -R aspera_console:aspera_console /opt/aspera/console ```

4. Restart Console service:

    ```asctl console:restart```

### Applying the patch for Windows systems:
1. Download the patch file (`IBM_Aspera_Console_3.4.1_Linux_Windows_Patch_Level_3.zip`) and unzip it.

3. Make sure to back-up all the files in the Console folder (`C:\Program Files\Aspera\Console\`).

4. Stop all Console services:

    a. Go to **Control Panel > Administrative Tools > Services**.

    b. For every service with Aspera Console in the name, right-click on the service and select **Stop** from the drop-down menu.

4. Replace existing files by copying patch files to appropriate directories in the Console folder (`C:\Program Files\Aspera\Console\`).

5. Restart all Console services:

    a. Go to **Control Panel > Administrative Tools > Services**.

    b. For every service with Aspera Console in the name, right-click on the service and select **Start** from the drop-down menu.
 
© IBM Aspera. Copyright IBM Corp. 2009, 2020


